/*
 * @(#)ZDimension.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot.geom;

import java.awt.geom.Dimension2D;

/**
 * geomパッケージは、Java基本データクラス(基本属性double)を利用しやすく
 * クラス使用時の名称短縮のためと、いくつかの独自メソッド追加のために
 * 利用する。
 *
 * Dimension
 *
 * @author  福島康治
 * @version 1.01 2001/01/07
 */
public class ZDimension extends Dimension2D{

	/**
	 * コンストラクタ
	 */
	public ZDimension() {
	}

	/**
	 * コンストラクタ
	 */
	public ZDimension(double width, double height) {
	this();
	setSize(width, height);
	}

	/**
	 * コンストラクタ
	 */
	public ZDimension( ZDimension data ) {
	this();
	setSize( data );
	}

	//## オーバライド #################################################
	/**
	 * 幅の取得
	 */
	public double getWidth() {
	return width;
	}

	/**
	 * 高さの取得
	 */
	public double getHeight() {
	return height;
	}

	/**
	 * サイズの設定
	 */
	public void setSize(double width, double height) {
	setWidth(width);
	setHeight(height);
	}

	//## FAGOT ########################################################
	/**
	 * 幅の設定
	 */
	public void setWidth( double w ) {
	this.width = w;
	}

	/**
	 * 高さの設定
	 */
	public void setHeight( double h ) {
	this.height = h;
	}

	//## アトリビュート################################################
    /**
     * 幅
     */
	protected double width;

    /**
     * 高さ
     */
	protected double height;
}
